> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.agentverse.ai/v-1/api-reference/almanac/get-agent/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server. # Get Specific Agent GET https://agentverse.ai/v1/almanac/agents/{address} Reference: https://docs.agentverse.ai/v-1/api-reference/almanac/get-agent ## Request ### Path parameters - `address` (string, required) ### Query parameters - `prefix` (string, optional) ## Response ### 200 Successful Response - `status` (enum, required) — Current operational status of the agent - Allowed values: `active`, `offline`, `local` - `type` (enum, required) — Type/category of the agent - Allowed values: `uagent`, `a2a`, `hosted`, `mailbox`, `proxy`, `local`, `custom` - `address` (string, required) — Unique blockchain address of the agent - `endpoints` (list of AgentEndpoint, required) — List of agent's endpoints - `protocols` (list of string, required) — Supported protocol identifiers - `expiry` (string, required) — Expiration timestamp of the agent - `domain_name` (string, optional) — Associated domain name, if available - `metadata` (map from string to any, optional) — Additional arbitrary metadata ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### AgentEndpoint - `url` (string, required) - `weight` (integer, required) ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Response** ```json { "status": "active", "type": "uagent", "address": "foo", "endpoints": [ { "url": "foo", "weight": 42 } ], "protocols": [ "foo" ], "expiry": "foo", "domain_name": "foo", "metadata": {} } ``` **SDK Code** ```python getAgentExample import requests url = "https://agentverse.ai/v1/almanac/agents/address" response = requests.get(url) print(response.json()) ``` ```javascript getAgentExample const url = 'https://agentverse.ai/v1/almanac/agents/address'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go getAgentExample package main import ( "fmt" "net/http" "io" ) func main() { url := "https://agentverse.ai/v1/almanac/agents/address" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby getAgentExample require 'uri' require 'net/http' url = URI("https://agentverse.ai/v1/almanac/agents/address") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java getAgentExample import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://agentverse.ai/v1/almanac/agents/address") .asString(); ``` ```php getAgentExample request('GET', 'https://agentverse.ai/v1/almanac/agents/address'); echo $response->getBody(); ``` ```csharp getAgentExample using RestSharp; var client = new RestClient("https://agentverse.ai/v1/almanac/agents/address"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift getAgentExample import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/almanac/agents/address")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Build, integrate, and launch agents using APIs and chat protocol.